# Klasse ReplaceOperation

java.lang.Object
org.apache.ant.props.RegexBasedEvaluator
org.apache.ant.props.stringops.PatternOperation
org.apache.ant.props.stringops.ReplaceOperation

Alle implementierten Schnittstellen:
  `org.apache.tools.ant.PropertyHelper.Delegate, org.apache.tools.ant.PropertyHelper.PropertyEvaluator`

public class ReplaceOperation extends PatternOperation
Replace operation--handles 'replace all' and 'replace first' alike.

## Konstruktorübersicht

Konstruktoren
Modifikator
Konstruktor
Beschreibung
`protected`
`ReplaceOperation()`
Construct a new ReplaceOperation.

## Methodenübersicht

Modifikator und Typ
Methode
Beschreibung
`protected void`
`convertToRegex(StringBuffer sb)`
Convert a *nix-style pattern to a regex pattern.
`protected final Object`
`evaluate(String[] groups, org.apache.tools.ant.PropertyHelper propertyHelper)`
Evaluate the matched groups.

### Von Klasse geerbte Methoden PatternOperation

`convertToRegex, createRegexp, deEscape, toRegex, toRegex`

### Von Klasse geerbte Methoden RegexBasedEvaluator

`addOption, evaluate, getPattern, getRegularExpression, setPattern`

### Von Klasse geerbte Methoden Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### ReplaceOperation

protected ReplaceOperation()
Construct a new ReplaceOperation.

## Methodendetails

### evaluate

protected final Object evaluate(String[] groups, org.apache.tools.ant.PropertyHelper propertyHelper)
Evaluate the matched groups.

Angegeben von:
  `evaluate` in Klasse `RegexBasedEvaluator`
Parameter:
  `groups` - the matches from the base regex.
  `propertyHelper` - the calling PropertyHelper.

### convertToRegex

protected void convertToRegex(StringBuffer sb)
Convert a *nix-style pattern to a regex pattern.

Setzt außer Kraft:
  `convertToRegex` in Klasse `PatternOperation`
Parameter:
  `sb` - StringBuffer to convert.
Siehe auch:
  - `PatternOperation.convertToRegex(java.lang.StringBuffer)`